NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.SketchChamferBuilder Class Reference

Represents a Chamfer builder More...

Inheritance diagram for NXOpen.SketchChamferBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  ChamferOptions { Symmetric, Asymmetric, OffsetandAngle }
 Dialog options for Chamfer Creation More...
 

Properties

unsafe NXOpen.Expression Angle [get]
 Returns the angle for Offset and Angle Chamfer More...
 
unsafe
NXOpen.SketchChamferBuilder.ChamferOptions 
ChamferOption [get, set]
 Returns or sets the chamfer options that specify what type of chamfer is to be created More...
 
unsafe bool CreateAngleDimension [get, set]
 Returns or sets the flag to indicate whether to create a dimension for SketchChamferBuilder.Angle More...
 
unsafe bool CreateDistance1Dimension [get, set]
 Returns or sets the flag to indicate whether to create a dimension for SketchChamferBuilder.Distance1 More...
 
unsafe bool CreateDistance2Dimension [get, set]
 Returns or sets the flag to indicate whether to create a dimension for SketchChamferBuilder.Distance2 More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
CurvesToChamfer [get]
 Returns the two lines for which a chamfer is to be created More...
 
unsafe NXOpen.Expression Distance1 [get]
 Returns the distance for line 1 for Symmetric, Asymmetric, and for OffSet and Angle Chamfer More...
 
unsafe NXOpen.Expression Distance2 [get]
 Returns the distance for line 2 for Asymmetric Chamfer More...
 
unsafe NXOpen.Point HelpPoint [get, set]
 Returns or sets the coordinates of the help point for Chamfer creation More...
 
unsafe bool TrimInputCurves [get, set]
 Returns or sets the toggle that specifies whether the two selected lines are to be trimmed More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents a Chamfer builder

To create a new instance of this class, use NXOpen.SketchCollection.CreateSketchChamferBuilder

Default values.

Property Value

Angle.Value

45

ChamferOption

Symmetric

Distance1.Value

2 (millimeters part), .0625 (inches part)

Distance2.Value

2 (millimeters part), .0625 (inches part)

TrimInputCurves

1

Created in NX7.5.0

Member Enumeration Documentation

Dialog options for Chamfer Creation

Enumerator
Symmetric 

Symmetric - specify one distance

Asymmetric 

Asymmetric - specify two distances

OffsetandAngle 

OffsetandAngle - specify offset distance and angle

Property Documentation

unsafe NXOpen.Expression NXOpen.SketchChamferBuilder.Angle
get

Returns the angle for Offset and Angle Chamfer

Created in NX7.5.0

License requirements: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.SketchChamferBuilder.ChamferOptions NXOpen.SketchChamferBuilder.ChamferOption
getset

Returns or sets the chamfer options that specify what type of chamfer is to be created

Created in NX7.5.0

License requirements to get this property: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

License requirements to set this property: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.SketchChamferBuilder.CreateAngleDimension
getset

Returns or sets the flag to indicate whether to create a dimension for SketchChamferBuilder.Angle

Created in NX7.5.0

License requirements to get this property: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

License requirements to set this property: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.SketchChamferBuilder.CreateDistance1Dimension
getset

Returns or sets the flag to indicate whether to create a dimension for SketchChamferBuilder.Distance1

Created in NX7.5.0

License requirements to get this property: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

License requirements to set this property: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.SketchChamferBuilder.CreateDistance2Dimension
getset

Returns or sets the flag to indicate whether to create a dimension for SketchChamferBuilder.Distance2

Created in NX7.5.0

License requirements to get this property: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

License requirements to set this property: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.SketchChamferBuilder.CurvesToChamfer
get

Returns the two lines for which a chamfer is to be created

Created in NX7.5.0

License requirements: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.Expression NXOpen.SketchChamferBuilder.Distance1
get

Returns the distance for line 1 for Symmetric, Asymmetric, and for OffSet and Angle Chamfer

Created in NX7.5.0

License requirements: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.Expression NXOpen.SketchChamferBuilder.Distance2
get

Returns the distance for line 2 for Asymmetric Chamfer

Created in NX7.5.0

License requirements: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.Point NXOpen.SketchChamferBuilder.HelpPoint
getset

Returns or sets the coordinates of the help point for Chamfer creation

Created in NX7.5.0

License requirements to get this property: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

License requirements to set this property: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.SketchChamferBuilder.TrimInputCurves
getset

Returns or sets the toggle that specifies whether the two selected lines are to be trimmed

Created in NX7.5.0

License requirements to get this property: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

License requirements to set this property: drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.